CREATE DATABASE "Syslog" WITH ENCODING 'SQL_ASCII' TEMPLATE template0;
\c Syslog;

create user "rsyslog" with password 'edge';
grant usage, select on all sequences in schema public to rsyslog;

CREATE TABLE if not exists EdgeEvents
(
        ID serial not null primary key,
        DeviceReportedTime timestamp with time zone NULL,
        Facility smallint NULL,
        Priority smallint NULL,
        Message text,
        PID integer,
        ProgramName varchar(60)
        );

alter table edgeevents owner to rsyslog;